bitcoin (0.18.1~dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing dependency on bsdextrautils (for hexdump).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 22 Jun 2020 18:41:05 +0200

bitcoin (0.18.1~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new Univalue interface (closes: #960379).

 -- Giovanni Mascellani <gio@debian.org>  Fri, 19 Jun 2020 18:20:38 +0200

bitcoin (0.18.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix 32-bit test failure.
      Closes: Bug#910455. Thanks to Adrian Bunk and Laurence Parry.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Stop track no longer shipped LGPL-3+ licensed code.
      Update lintian overrides accordingly.
  * Declare compliance with Debian Policy 4.4.0.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2019 11:50:52 +0200

bitcoin (0.18.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Apr 2019 18:31:29 +0200

bitcoin (0.18.0~~rc4~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Fix stop have bitcoin-qt suggest bash-completion.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Apr 2019 07:54:01 +0200

bitcoin (0.18.0~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Apr 2019 17:29:58 +0200

bitcoin (0.18.0~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for upstream authors.
  * Extend patch 1003 to cover bitcoin-wallet.1.
    Unfuzz patches.
  * Check testsuite under C.UTF-8 locale.
  * Disable benchmark tests: Currently segfaults.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2019 11:33:05 +0100

bitcoin (0.17.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix suggest bash-completion.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 15:09:26 +0100

bitcoin (0.17.1~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Drop patch cherry-picked upstream since applied.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 18:29:47 +0100

bitcoin (0.17.0~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix wrong SSL setup causing deadlock.
    Closes: Bug#912331. Thanks to Witold Baryluk.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Nov 2018 18:03:37 +0100

bitcoin (0.17.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Clarify comments about contrib/debian/copyright slightly.
    + Drop sections for files no longer shipped upstream.
    + Extend coverage for main upstream authors.
    + Add/update sections for new/renamed files.
  * Update package relations:
    + Build-depend on python3 (not python).
    + Stop build-depend on libboost-program-options-dev.
    + Tighten to build-depend versioned on libunivalue-dev.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Oct 2018 18:25:59 +0200

bitcoin (0.16.3~dfsg-1) unstable; urgency=high

  [ upstream ]
  * New bugfix release.
    (CVE-2018-17144)

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix list copyright holder Satoshi Nakamoto.
    + Fix track files licensed GPL-3 with Autoconf exception.
    + Fix use exception shortname Autoconf-Macro
      (not - for the wrong thing - Autoconf).
  * Declare compliance with Debian Policy 4.2.1.
  * Unfuzz patch 1003.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 16:22:58 +0200

bitcoin (0.16.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New bugfix release.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Declare source package as not requiring root to build.
  * Declare compliance with Debian Policy 4.2.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Aug 2018 10:38:57 +0200

bitcoin (0.16.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Refresh patch 1002.
  * Drop build target get-orig-source: Obsolete.
  * Stop build and package shared library bitcoinconsensus:
    Apparently unused anywhere, and unstable API.
    Closes: Bug#889118. Thanks to Adrian Bunk.
  * Use tracker.debian team email as Maintainer.
    Closes: Bug#899455. Thanks to Christoph Biedl.
  * Improve long descriptions, based on Wikipedia description.
  * Use semantic newlines in long descriptions.
  * Fix typo in watch file usage comment.
  * Add patch 1003 to fix header sections of man pages.
    Closes: Bug#883999. Thanks to 積丹尼 Dan Jacobson.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jun 2018 23:09:21 +0200

bitcoin (0.16.1~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New pre-release(s).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jun 2018 15:16:26 +0200

bitcoin (0.16.0~dfsg-1) unstable; urgency=medium

  * Update symbols: 2 dropped. 3 added. 1 relaxed.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jun 2018 20:18:21 +0200

bitcoin (0.16.0~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Reduce files stripped when repackaging: Upstream no longer ship
      PNG files with embedded unlicensed ICC files.
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop patch cherry-picked upstream since applied.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 15:29:17 +0200

bitcoin (0.15.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Refresh and unfuzz patches.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Nov 2017 19:56:11 +0100

bitcoin (0.15.0.1~dfsg-2) unstable; urgency=medium

  * Use default gcc: Bug#871514 is solved now.
    Stop build-depend on gcc-6 or g++-6.
  * Add patch cherry-picked upstream, to fix json formatting in
    univalue-related tests.
    Closes: Bug#869704. Thanks to Christopher Baines.
  * Add patch 2002 to avoid tests requiring network access.
    Closes: Bug#844933. Thanks to Lucas Nussbaum and Rudy Godoy Guillén.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Nov 2017 22:54:32 +0100

bitcoin (0.15.0.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix possible crash with invalid nCustomFeeRadio in QSettings.
    + Update manpages.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2017 14:37:30 +0200

bitcoin (0.15.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution strings.
  * Update symbols file.
  * Use https protocol for upstream Homepage.
  * Modernize Vcs-* fields: Consistently include .git suffix in path.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Sep 2017 09:48:46 +0200

bitcoin (0.15.0~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix include verbatim public-domain (non-)licensing statement in
      License field (not Comment field).
  * Tighten lintian overrides regarding License-Reference.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 17:53:51 +0200

bitcoin (0.15.0~~rc2~dfsg-1~exp2) experimental; urgency=medium

  * Temporarily use gcc-6 and g++-6 to avoid FTBFS on mips64el (see
    bug#871514).
    Build-depend on gcc-6 g++-6.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2017 10:37:05 +0200

bitcoin (0.15.0~~rc2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Track prereleases.
    + Fix use ~~ for prereleases to rank below ~dfsg.
  * Update copyright info:
    + Adjust some paths.
    + Extend coverage for some authors.
    + Add a few new authors, licensed as Expat and/or BSD-3-clause.
  * Declare compliance with Debian Policy 4.0.1.
  * Unfuzz and restructure patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Aug 2017 13:51:48 +0200

bitcoin (0.14.2~dfsg-1~exp2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 02:39:35 +0200

bitcoin (0.14.2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Repackage upstream source, excluding images with embedded non-free
    ICC profile, and embedded convenience code copies.
  * Update watch file:
    + Bump to file format 4.
    + Mention gbp --uscan in usage comment.
    + Mangle filename to include package name.
    + Set repacksuffix.
  * Use system-shared libraries leveldb secp256k1 univalue.
    + Add patches 1001 1002 2001 to use system-shared libraries.
    + Drop patches 1005 1006 1007 2002 tweaking embedded libraries.
    + Drop defence in README.source for use of embedded code copies.
    + Tell configure script to enable use of system libraries.
    + Build-depend on libleveldb-dev libsecp256k1-dev libunivalue-dev.
    See bug#734597 for related discussion.
  * Remove README.Debian: Contained only migration notes related to
    obsolete Berkeleydb 4.8.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Update coverage of m4 files.
    + Stop track embedded code copies no longer included.
    + Extend coverage of icons (based on contrib/debian/copyright).
    + Fix list LGPL-3+ licensed test script.
    + List a file with uncommon copyright holder.
  * Skip copyright-checking *.raw files.
  * Update source location and availability of manpages.
  * Update long descriptions based on upstream notes.
  * Update upstream project name.
  * Drop patch 3001: OpenSSL 1.1 supported upstream now.
  * Unfuzz patches.
  * Install bash-completion for bitcoin-tx.
  * Fix cleanup rule to not treat git files specially.
  * Track symbols using pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.
  * Limit relaxed shlibs resolving to experimental releases.
  * Improve shlibs resolving:
    + Stop blindly use upstream version: A patch may affect shlibs.
    + Relax to rely on symbols file (stop use same upstream version).
    + Tighten to ignore regressions only when targeting experimental.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jul 2017 14:26:56 +0200

bitcoin (0.13.1-1) unstable; urgency=medium

  * Update README.source:
    + Replace obsolete notes about CDBS with note on tracking upstream
      git.
    + Drop obsolete note about backporting.
  * Replace and update copyright-check to extract metadata from
    graphics.
  * Update copyright info:
    + Use https protocol in format string.
    + Fix update coverage of images (major rework for 0.11.0).
    + Fix URLs.
    + Normalize copyright holders.
    + Normalize file lists.
    + Consistently use License sections.
    + List debian packaging after other Files sections.
    + Fix syntax of Comment section.
    + Fix avoid wildcard for two GPL-3+ licensed Files section.
    + Fix avoid wildcard for LGPL-2.1+ licensed Files section.
    + Fix use wildcard for univalue Files section.
    + Fix cover ctaes code (added in 0.13.0).
    + Drop separate Files section for bitcoind bash-completion (main
      copyright holder since 0.12.0).
    + Fix mention Autoconf exception for GPL-licensed m4 macros.
    + Fix cover more FSFAP-licensed m4 macros.
    + Fix extend coverage for main upstream authors.
    + Fix cover BSD-3-clause~Illinois-licensed script.
    + Fix typo in, and extend coverage for, Wladimir J. van der Laan.
    + Fix cover test tool with non-main copyright holders.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Sort License sections roughly by intent, main upstream license
      first.
    + Re-license packaging as GPL-3+.
    + Extend coverage of packaging.
    + Rewrap License sections at 72 chars.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Install bash-completion for bitcoin-cli.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
    + Move to pkg-bitcoin team.
  * Wrap and sort packaging files.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied even in oldstable.
    + Relax to build-depend unversioned on libzmq3-dev without fallback
      on libzmq5-dev: Needed version satisfied even in oldstable.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Modernize resolving DEB_UPSTREAM_VERSION: Recent enough
    dpkg-parsechangelog available even in oldstable.
  * Update patches:
    + Drop obsolete disabled patches 1001 1002 1008 3002.
    + Refresh patches with shortening quilt options.
    + Tighten DEP3 headers.
  * Fix install icons into correct location.
    Closes: Bug#823015. Thanks to Laurent Bigonville.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jul 2017 16:30:15 +0200

bitcoin (0.13.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Patch for -latomic is included upstream, so drop Debian-specific patch.
  * Add semi-colons for hppa patch. (Closes: Bug#841706)

 -- Anthony Towns <aj@erisian.com.au>  Fri, 28 Oct 2016 13:40:17 +1000

bitcoin (0.13.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Allow compilation with gcc/g++ 6. (Closes: Bug#835963)
  * Additional fixes for openssl 1.1 compatibility. (See Bug#828248)
  * Check if -latomic is needed (it is on mips*).
  * Remove reproducible build patch, since leveldb build system is
    no longer used in 0.13. (See Bug#791834)
  * Update description since the blockchain is much more than "several GB"
    now. (Closes: Bug#835809)

 -- Anthony Towns <aj@erisian.com.au>  Fri, 21 Oct 2016 17:13:13 +1000

bitcoin (0.12.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: Bug#822203)
  * Remove cdbs from debian/rules, add debian/copyright-check to help
    with updating debian/copyright info (Closes: Bug#808969)
  * Update dependencies to qt5.
  * Add dependency on libdevent-dev.
  * Add dependency on libzmq for ZeroMQ support.
  * Force use of gcc/g++ 5. (Closes: Bug#812275)
  * Compatibility patch for OpenSSL 1.1 opaque types. (Closes: Bug#828248)
  * Apply reproducible build patch from Reiner Herrmann. (Closes: Bug#791834)
  * Bump standards version.

 -- Anthony Towns <aj@erisian.com.au>  Fri, 19 Aug 2016 18:48:51 +1000

bitcoin (0.11.2-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #805052)

 -- Scott Howard <showard@debian.org>  Thu, 21 Jan 2016 22:43:13 -0500

bitcoin (0.11.1-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #802956)
  * New bitcoin-tx package (Closes: #797683)
  * Updated debian/copyright
  * Removed menu file, just use .desktop file
  * Remove lintian overrides, no longer needed

 -- Scott Howard <showard@debian.org>  Sun, 08 Nov 2015 10:11:17 -0500

bitcoin (0.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #793622)
    - build on all archs, big endian is now supported
  * Updated symbols file
  * Added bitcoin-cli.1 manpage from contrib/debian/manpages
  * Updated debian/copyright

 -- Scott Howard <showard@debian.org>  Wed, 29 Jul 2015 15:45:52 -0400

bitcoin (0.10.2-3) unstable; urgency=medium

  * Try running tests with writable ${HOME} and ${TMPDIR}, drop build 
    dependency on xvfb and xauth

 -- Scott Howard <showard@debian.org>  Tue, 07 Jul 2015 13:15:55 -0400

bitcoin (0.10.2-2) unstable; urgency=medium

  * Debugging 790403, output contents of src/test-suite.log

 -- Scott Howard <showard@debian.org>  Tue, 07 Jul 2015 11:00:21 -0400

bitcoin (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add BD on xvfb, xauth, and use xvfb-run on dh_auto_test so qt tests
    run on systems without an X server (Closes: #790403)
  * Updated debian/copyright
    (thanks Thorsten Alteholz, Closes: #790312)

 -- Scott Howard <showard@debian.org>  Wed, 01 Jul 2015 10:37:00 -0400

bitcoin (0.10.1-2) unstable; urgency=medium

  * Switched to dh 7 style rules
    - remove squeeze backport support
    - bring in line with upstream packaging
  * Build libbitcoinconsensus libraries and packages
  * Merge upstream packaging features
    - bitcoind.bash-cmpletion added

 -- Scott Howard <showard@debian.org>  Tue, 26 May 2015 16:27:21 -0400

bitcoin (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 13 May 2015 01:42:43 -0400

bitcoin (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * updated debian/copyright
  * Refreshed patches
    - dropped debian/patches/1008_libmemenv_cstdatomic_renaming.patch
      (changed upstream)
  * BD on python to run compile checks

 -- Scott Howard <showard@debian.org>  Mon, 16 Feb 2015 12:52:26 -0500

bitcoin (0.9.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes OpenSSL 1.0.1k incompatibility FTBFS and failure to sync
      blockchain (Closes: 775102)
  * Updated debian/copyright, fixed typo in format tag, added short
    names to custom licenses (custom license)
  * Removed patches:
    - debian/patches/1003_qmake_cleanup.patch (unused)
    - debian/patches/2001_stupify_header_script.patch (no longer needed)
    - debian/patches/3001_debug_bts_672524.patch (unused)


 -- Scott Howard <showard@debian.org>  Thu, 29 Jan 2015 10:36:59 -0500

bitcoin (0.9.3-1) unstable; urgency=medium

  * New upstream release, minor bug fixes
  * BD on libqt4-dev instead of qt4-default (Lintian)
  * D S-V 3.9.6, no changes
  * added exec code to debian/bitcoin.desktop to fix Lintian warning:
    desktop-mime-but-no-exec-code

 -- Scott Howard <showard@debian.org>  Sun, 05 Oct 2014 12:41:11 -0400

bitcoin (0.9.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated regex filter for debian copyright-check
  * BD on libboost-chrono-dev (Closes: #754356)
  * Update Vcs: to anonscm.debian.org

 -- Scott Howard <showard@debian.org>  Tue, 15 Jul 2014 08:21:37 -0400

bitcoin (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Clean left over config.log from failed build (Closes: #743971)
  * No longer need to declare multiarch libboost dir, commented out
    from debian/rules
  * Refreshed patches, debian/copyright_hints

 -- Scott Howard <showard@debian.org>  Wed, 09 Apr 2014 16:47:50 -0400

bitcoin (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 08 Apr 2014 17:13:14 -0400

bitcoin (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - autotools build & add BDs for dh-autoreconf,libprotobuf-dev,
      protobuf-compiler
  * Refreshed patches
    - 1003_qmake_cleanup.patch, no longer needed - no longer uses qmake
    - 1007_libmemenv_hurd.patch, no longer make msync() calls
  * Refreshed debian/copyright, debian/copyright_hints
  * Debian SV 3.9.5 (no changes)

 -- Scott Howard <showard@debian.org>  Wed, 19 Mar 2014 15:37:29 -0400

bitcoin (0.8.6-1) unstable; urgency=low

  * New upstream release. (Closes: #731772)
  * Refreshed patches, copyright_hints

 -- Scott Howard <showard@debian.org>  Mon, 09 Dec 2013 10:26:57 -0500

bitcoin (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 13 Sep 2013 09:55:38 -0400

bitcoin (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Closes password attack (Closes: #717828 CVE-2013-4165)
    - Closes DoS vulnerability (Closes: #721821 CVE-2013-4627)
  * Refreshed patches

 -- Scott Howard <showard@debian.org>  Tue, 03 Sep 2013 22:58:54 -0400

bitcoin (0.8.3-2) unstable; urgency=low

  * Use included leveldb instead of system library. See debian/README.source

 -- Scott Howard <showard@debian.org>  Thu, 25 Jul 2013 16:54:38 -0400

bitcoin (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 26 Jun 2013 17:19:51 -0400

bitcoin (0.8.2-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions. 

  [ Scott Howard ]
  * New upstream release
  * Use new bitcoin-qt manpage from upstream
    - debian/patches/1009_manpage_hyphons.patch dropped, adopted upstream

 -- Scott Howard <showard@debian.org>  Fri, 31 May 2013 17:43:50 -0400

bitcoin (0.8.1-2) unstable; urgency=low

  * Merge from experimental closing two security bugs in sid
    - Closes: #705266 CVE-2013-2272
    - Closes: #705265 CVE-2013-2293
  * Import patches from libleveldb to fix one of the kFreeBSD & hurd FTBFS
  * Added high res icons to package (LP: #1127181)
  * Remove reference to IRC network in debian/control
  * Patch and ship upstream manpages instead of maintaining our own
    - updated bitcoin-qt manpage for version 0.8.1
  * Drop wrapper for bitcoind
    -upstream has dropped it and the wrapper may introduce problems with 
     multi-wallet or non-default data directories

 -- Scott Howard <showard@debian.org>  Tue, 26 Mar 2013 13:52:40 -0400

bitcoin (0.8.1-1) experimental; urgency=low

  * New upstream release (Closes: #700910, Closes: #701085, Closes: #703213)
    (LP: #1130638)
  * debian/patches
    - Removed 1004_conservative_qt-dbus.patch applied upstream
    - New 1005_use_system_libleveldb.patch
      use system leveldb, build convenience copy of libmemenv.a but only
      linked against test suite which is not distributed
  * removed depricated Encoding key from bitcoin-qt.desktop

 -- Scott Howard <showard@debian.org>  Tue, 26 Feb 2013 14:10:15 -0500

bitcoin (0.7.2-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Clean up hyphen handling and rewrite long line causing roff warning
    to one where word wrapping work better, to avoid lintian warning about
    bitcoin.conf.5.
  * Update Standards-Version from 3.9.3 to 3.9.4.  No changes needed.
  * Add patch and rules code to try to debug #672524.

 -- Scott Howard <showard@debian.org>  Thu, 07 Feb 2013 10:49:50 -0500

bitcoin (0.7.2-2) unstable; urgency=low

  [ Scott Howard ]
  * Update long description: Blockchain requires several GB of space.
    Closes: #677524. Thanks to Gwern Branwen.
  * Set $HOME to debian/home since buildd do not have RW permission to
    /home/buildd.
    Closes: #696262.

  [ Petter Reinholdtsen ]
  * Remove mentions on anonymity in manual page: Only true with a lot of
    extra effort, so misleading to claim that.
    Closes: #696477. Thanks to Matt Caorallo.
  * Add patch libdb-squeeze.patch to get src/db.cpp to support linkage
    against older versions of BerkeleyDB, easing backporting to Squeeze.
  * Stop build-depend needlessly on libglib2.0-dev.
  * Add new binary package bitcoin-qt for the GUI version of the bitcoin
    client, with DBus and QR code generation enabled.
    Build-depend on qt4-qmake, libqt4-dev and libqrencode-dev.
    Remove obsolete block about the missing GUI from README.Debian.
    Rename obsolete bitcoin-gui.menu to bitcoin-qt.menu and update
    title and section based on desktop file.  Enable some
    hardening using dpkg-buildflags, while skipping others because
    it breaks the build.
    Closes: #627263. Thanks to Leandro Lucarella and Matt Corallo.
  * Add manual page for bitcoin-qt from the git repository of
    Dmitry Smirnov.
  * Add setup to install bash completion rules for bitcoind
    in bitcoind package.  Based on work from Matt Corallo.

  [ Jonas Smedegaard ]
  * Add README.source referencing our use of CDBS and git-buildpackage.
  * Update copyright file:
    + List upstream issue tracker as preferred upstream contact.
  * Update package relations:
    + Simplify to drop Boost fallback build-dependencies: Needed only
      for backport to Lenny, which is no longer supported.
    + Bump fallback BerkeleyDB build-dependency to 4.8 (default version
      is in Squeeze), and stop suggesting older utils package than that.
    + Relax to build-depend unversioned on debhelper (i.e. revert
      tightening introduced in 0.7.2-1): Needed version satisfied in
      stable, and oldstable is no longer supported.
  * Drop NEWS file: Only entry was about change of BerkeleyDB version,
    which is no longer news for testing/unstable users, and package is
    not yet stable so not news there either.
  * Improve Qt client build by use of the CDBS qmake snippet, and
    building daemon and testsuite in per-package targets (because qmake
    doesn't support flavored builds).
  * Limit HOME hack to testsuite invocation.
  * Relax lintian override to cover bumped libdb++-dev
    fallback-dependency.
  * Tidy DEP3 header of patch 1002: Drop bogus or superfluous lines.
  * Add patch 2001 to stupify header generating script: Avoid uselessly
    inspect our git.
  * Add patch 1003 to remove autogenerated build/build.h in qmake
    distclean target.
  * Check for custom DEB_BUILD_OPTIONS=noupnp option, to ease
    backporting. Add note about it to README.source.
  * Add patch 1004 to use QImage.bits (not QImage.constBits), to ease
    backporting.
    Thanks to Petter Reinholdtsen.
  * Build-depend on libqtwebkit-dev: Apparently that is needed (linker
    error if missing).
  * Disable parallel builds: Perhaps cause of Qt linker errors.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Dec 2012 05:27:25 +0100

bitcoin (0.7.2-1) unstable; urgency=low

  * New upstream source. (Closes: #689917)
    - DoS vulnerabillities:
      CVE-2012-3789 closed (Closes: #682676)
      CVE-2012-4683 and CVE-2012-4682 closed (Closes: #688813)
    - Block database no longer stored alongside wallet.dat
      (Closes: #660286)

  [ Jonas Smedegaard ]
  * Update watch file to directly use github.com (not
    githubredir.debian.net).
  * Update copyright file:
    + Update list of main upstream authors.
    + Drop obsolete Files section for sha256.cpp.
    + Add Files section for newly introduced bash-completion.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
  * Bump debhelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

  [ Scott Howard ]
  * debian/control
    - Changed maintainer to: Debian Bitcoin Packaging Team
  * Added myself as uploader.
  * Enabled parallel building DEB_BUILD_PARALLEL
  * Updated debian/control description of bitcoind to state that the
    blockchain now is "several GB" large (Closes: #677524)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2012 23:22:04 +0100

bitcoin (0.6.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 May 2012 13:40:23 +0200

bitcoin (0.6.2.1-2) unstable; urgency=low

  * Fix build on wildcard any-arm (not bogus any-armel any-armhf).
    Really closes: bug#668868. Thanks to Jakub Wilk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 22:11:10 +0200

bitcoin (0.6.2.1-1) unstable; urgency=low

  * New upstream release.

  * Add -fpermissive to CXXFLAGS to work around build failure with gcc
    4.7.
    Closes: bug#667114. Thanks to Matthias Klose.
  * Only build on little-endian architectures: Upstream code does not
    support big-endian.
    Closes: bug#668868, #668864. Thanks to Dwayne C. Litzenberger.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 14:09:46 +0200

bitcoin (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2012 23:27:54 +0200

bitcoin (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Extend copyright years.
    + Add Files paragraph for new Stochastic address manager.
    + Bump format to 1.0.
    + Shorten comments, and quote license strings in them.
  * Stop setting HOME during regression tests: Fixed upstream.
  * Bump standards-version to 3.9.3.
  * Update Vcs-Browser field to use anonscm.debian.org URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Mar 2012 20:00:48 +0200

bitcoin (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for Build-dependency on versioned Berkeley DB:
    Used only as backporting-friendly fallback.
  * Strip word "anonymous" from short description: Wrong advertising!
  * Set HOME to build dir during regression tests.
    Closes: bug#645544. Thanks to Christoph Egger.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Feb 2012 17:45:31 +0100

bitcoin (0.5.1-1) experimental; urgency=low

  * New upstream release.
  * Update to use only Github (not Sourceforge) as upstream source.
  * Update copyright file:
    + Sync list of upstream developers with http://bitcoin.org/ .
    + Add Files section for newly added contrib/macdeploy/*.
    + Extend Files section for debian-provided manpages to cover
      upstream shipped duplicate below contrib/debian.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Dec 2011 11:34:17 +0700

bitcoin (0.5.0~rc1-1) experimental; urgency=low

  * New upstream prerelease.
  * Add Github as alternate upstream source in watch file.
  * Stop build-depending on libcrypto++-dev, and drop patch 1000:
    Upstream no longer use crypto++.
  * Drop patch 1003: Upstream builds dynamic by default now.
  * Update copyright file: Drop notes on longer included sources.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Oct 2011 00:16:18 +0200

bitcoin (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Stop repackaging source tarballs: No DFSG-violating stripping left.
  * Update copyright file:
    + Add Github URL to Source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
    + Add irc URL to Upstream-Contact.
    + Add comment on Bitcoin Developers to catch-all Files section.
    + Add Files sections for newly readded src/cryptopp/* (new custom
      BSD-like license), and newly added doc/build-osx.txt and
      src/makefile.osx (Expat).
  * Bump debhelper compatibility level to 7.
  * Suppress binary icns and gpg files.
  * Enable regression tests:
    + Build-depend on libboost-test-dev.
    + Extend patch 1003 to also dynamically link test binary.
    + Build and invoke test binary unless tests are disabled.
  * Tighten build-dependency on cdbs: Recent version needed to support
    debhelper 7.
  * Relax build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Stop suppress optional build-dependencies: Satisfied in stable.
    Build-depend on devscripts (enabling copyright-check).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Oct 2011 01:48:53 +0200

bitcoin (0.3.24~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Improve various usage hints:
    + Explicitly mention in long description that bitcoind contains
      daemon and command-line interface.
    + Extend README.Debian with section on lack of GUI, and add primary
      headline.
    + Avoid installing upstream README: contains no parts relevant for
      Debian usage.
    Thanks to richard for suggestions (see bug#629443).
  * Favor final releases over prereleases in rules and watch file.
    Thanks to Jan Dittberner.
  * Track -src (not -linux) tarballs in rules and watch file.
    Thanks to Jan Dittberner.
  * Drop patches 1004 and 1005 (integrated upstream) and simplify
    CXXFLAGS in rules file.
  * Stop stripping no longer included source-less binaries from upstream
    tarballs.

  [ Jan Dittberner ]
  * refresh debian/patches/1000_use_system_crypto++.patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Jul 2011 15:08:54 +0200

bitcoin (0.3.21~dfsg-2) unstable; urgency=low

  * Enable UPNP support:
    + Drop patch 1006.
    + Build-depend on libminiupnpc-dev.
    Thanks to Matt Corallo.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 May 2011 15:52:44 +0200

bitcoin (0.3.21~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop patch 1002: no longer needed, as upstream use pkgconfig now.
  * Add patch 1006 to really unset USE_UPNP as aparently intended.
  * Adjust cleanup rule to preserve .gitignore files.
  * Update copyright file:
    + Bump format to draft 174 of DEP-5.
    + Shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Shorten Vcs-Browser paragraph in control file.
  * Fix mention daemon (not CLI tools) in short description.
  * Stop conflicting with or replace bitcoin-cli: Only transitional, no
    longer needed.
  * Link against unversioned berkeleydb. Update NEWS and README.Debian
    accordingly (and improve wording while at it).
    Closes: Bug#621425. Thanks to Ondřej Surý.
  * This release also implicitly updates linkage against libcrypto++,
    which closes: bug#626953, #627024.
  * Disable linkage against not yet Debian packaged MiniUPnP.
  * Silence seemingly harmless noise about unused variables.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 May 2011 15:31:24 +0200

bitcoin (0.3.20.2~dfsg-2) unstable; urgency=medium

  * Fix have wrapper script execute real binary (not loop executing
    itself).
    Closes: bug#617290. Thanks to Philippe Gauthier and Etienne Laurin.
  * Set urgency=medium as the only (user-exposed) binary is useless
    without this fix and has been for some time.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Mar 2011 09:11:06 +0100

bitcoin (0.3.20.2~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix provide and replace former package name bitcoin-cli.
    Closes: bug#618439. Thanks to Shane Wegner.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Mar 2011 11:41:43 +0100

bitcoin (0.3.20.01~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Micah Anderson ]
  * Add myself as uploader.

  [ Jonas Smedegaard ]
  * Add wrapper for bitcoind to ease initial startup.
  * Update patches:
    + Drop patch 2002: Applied upstream.
    + Add patch 1005 to add phtread linker option.
      Closes: bug#615619. Thanks to Shane Wegner.
    + Refresh patches.
  * Extend copyright years in rules file header.
  * Rewrite copyright file using draft svn166 of DEP5 format.
  * Rename binary package to bitcoind (from bincoin-cli).
    Closes: bug#614025. Thanks to Luke-Jr.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Mar 2011 15:55:04 +0100

bitcoin (0.3.19~dfsg-6) unstable; urgency=low

  * Fix override agressive optimizations.
  * Fix tighten build-dependencies to really fit backporting to Lenny:
    + Add fallback build-dependency on libdb4.6++-dev.
    + Tighten unversioned Boost build-dependencies to recent versions,
      To force use of versioned Boost when backporting to Lenny.
    ...needs more love, though: actual build fails.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 19:48:35 +0100

bitcoin (0.3.19~dfsg-5) unstable; urgency=low

  * Fix lower Boost fallback-build-dependencies to 1.35, really
    available in Lenny.
  * Correct comment in rules file regarding reason for versioned Boost
    fallback-build-dependency.
  * Add patch 2002 adding -mt decoration to Boost flags, to ease
    backporting to Lenny.
  * Respect DEB_BUILD_OPTIONS, and suppress arch-specific optimizations:
    + Add patch 1004 to allow overriding optimization flags.
    + Set optimization flags conditionally at build time.
    + Drop patch 2002 unconditionally suppressing arch-optimizations.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 16:04:48 +0100

bitcoin (0.3.19~dfsg-4) unstable; urgency=low

  [ Micah Anderson ]
  * Provide example bitcoin.conf.
  * Add bitcoind(1) and bitcoin.conf(5) man pages.

  [ Jonas Smedegaard ]
  * Ease backporting:
    + Suppress optional build-dependencies.
    + Add fallback build-dependencies on the most recent Boost libs
    available in Lenny (where unversioned Boost libs are missing).
  * Add Micah as copyright holder for manpages, licensed as GPL-3+.
  * Bump copyright format to Subversion candidate draft 162 of DEP5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 14:00:48 +0100

bitcoin (0.3.19~dfsg-3) unstable; urgency=low

  * Document in copyright file files excluded from repackaged source.
  * Update copyright file:
    + Bump DEP5 format hint to Subversion draft rev. 153.
    + Consistently wrap at 72 chars.
    + Refer to GPL-2 file (not GPL symlink).
  * Link against Berkeley DB 4.8 (not 4.7):
    + Build-depend on libdb4.8++-dev (and on on libdb4.7++-dev).
    + Suggest libdb4.8-util and db4.7-util.
    + Add README.Debian note on (untested) upgrade routine.
    + Add NEWS entry on changed db version, referring to README.Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jan 2011 22:50:57 +0100

bitcoin (0.3.19~dfsg-2) unstable; urgency=low

  * Adjust build options to use optimized miner only for amd64. Fixes
    FTBFS on i386 (and other archs, if compiling anywhere else at all).
  * Avoid static linking.
  * Adjust patch 2001 to avoid only arch-specific optimizations (keep
    -O3).
  * Extend long description to mention disk consumption and initial use
    of IRC.
  All of above changes thanks to Helmuth Grohne.
  * Add lintian override regarding OpenSSL and GPL: Linked code is Expat
    - only Debian packaging is GPL-2+.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Dec 2010 00:27:54 +0100

bitcoin (0.3.19~dfsg-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Initial release.
    Closes: bug#578157.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Dec 2010 15:49:22 +0100
